import { GeneratorFunc, KeyableObject } from './types';
/**
 * A simple key extractor/generator, intended for use with arrays of objects in React.  Guarantees unique keys.
 *
 * @param {KeyableObject[]} arr - The array to map keys for.
 * @param {boolean} [consistentStrategy=false] - If true, will try generators in turn until one yields all unique keys.
 * @param {GeneratorFunc[]} [generators=[]] - Generators to use for key creation.
 * @return KeyableObject[]
 */
declare const withKeys: (arr: KeyableObject[], consistentStrategy?: boolean, ...generators: GeneratorFunc[]) => KeyableObject[];
export { withKeys };
